=== debian/changelog ===
gringo (5.3.0-10) unstable; urgency=medium

  * Fix FTBFS on buster.
  * debian/control: add Build-Depends on g++-8 >= 8.2.0-21
  * debian/symbols: add alpha and x32 symbols

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sat, 02 Mar 2019 08:49:10 +0100

gringo (5.3.0-9) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 01 Mar 2019 06:27:37 +0100

gringo (5.3.0-8) experimental; urgency=medium

  * debian/symbols: fix symbols

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 28 Feb 2019 05:25:47 +0100

gringo (5.3.0-7) experimental; urgency=medium

  * Bug fix: "new symbols", thanks to Sjoerd Simons (Closes: #923228).
  * debian/control: bump Standards-Version to 4.3.0
  * debian/symbols: fix FTBFS on powerpcspe

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 27 Feb 2019 05:24:41 +0100

gringo (5.3.0-6) unstable; urgency=medium

  * debian/symbols: fix symbols for g++-8 >= 8.2.0-10
  * Upload to unstable.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 14 Dec 2018 08:09:08 +0100

gringo (5.3.0-5) experimental; urgency=medium

  * Bug fix: "gringo FTBFS: symbol differences", thanks to Adrian Bunk
    (Closes: #916266).
  * debian/symbols: fix FTBFS for g++-8 >= 8.2.0-10
  * debian/control: Build-Depends on g++-8 >= 8.2.0-10

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 13 Dec 2018 08:22:24 +0100

gringo (5.3.0-4) unstable; urgency=medium

  * debian/tests/gringo{0,1,3,4}: fix integer atom mappings
  * NEWS.Debian: fix link to aspif description

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 22 Nov 2018 07:26:25 +0100

gringo (5.3.0-3) unstable; urgency=medium

  * debian/upstream/metadata: add DEP-12 upstream metadata
  * debian/symbols: fix symbols for version 5.3.0 of libclingo.so.2
  * Upload to unstable.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 21 Nov 2018 04:54:38 +0100

gringo (5.3.0-2) experimental; urgency=medium

  * debian/symbols: fix symbols for version 5.3.0 of libclingo.so.2

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 15 Nov 2018 07:30:26 +0100

gringo (5.3.0-1) experimental; urgency=medium

  * New upstream version 5.3.0
  * drop upstream applied gringo-makefile.patch
  * refresh gringo-python37-async.patch with fcef335 from upstream
  * install libclingo.so.2.0
  * debian/symbols: update to libclingo.so.2.0

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 11 Nov 2018 08:56:35 +0100

gringo (5.2.3-5) unstable; urgency=medium

  * debian/symbols: batchpatch alpha, mips, mips64el symbols for g++-8

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Thu, 08 Nov 2018 04:35:55 +0100

gringo (5.2.3-4) unstable; urgency=medium

  * Bug fix: "Please update symbols for riscv64", thanks to Manuel
    A. Fernandez Montecelo (Closes: #912269).
  * debian/symbols: batchpatch symbols for g++-8
  * Upload to unstable.

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 07 Nov 2018 04:07:00 +0100

gringo (5.2.3-3) experimental; urgency=medium

  * debian/control: bump Standards-Version to 4.2.1
  * Bug fix: "gringo build-depends on legacy compiler g++-7", thanks to
    Matthias Klose (Closes: #912582).
    - debian/control: Build-Depends on g++-8
  * debian/symbols: update amd64 symbols for g++-8
  * Bug fix: "gringo ftbfs with Python 3.7", thanks to Matthias Klose
    (Closes: #912552).
    - debian/control: Build-Depends on python3.7
    - gringo-python37-async.patch: rename async keyword to async_

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Sun, 04 Nov 2018 08:34:30 +0100
