=== debian/control ===
Source: gringo
Section: interpreters
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
Build-Depends: debhelper (>= 11),
 dpkg-dev (>= 1.16.1~),
 pkg-kde-tools,
 g++-8 (>= 8.2.0-21),
 cmake (>= 3.1.0),
 re2c,
 bison,
 liblua5.3-dev,
 python3.7,
 libpython3.7-dev,
 python3.7-distutils
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/science-team/gringo.git
Vcs-Browser: https://salsa.debian.org/science-team/gringo
Homepage: https://www.potassco.org/clingo/

Package: gringo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: clasp
Replaces: clingo, iclingo
Conflicts: clingo, iclingo
Breaks:
 aspcud (<= 1.9.0-2),
 clasp (<< 3.2.1-1)
Description: grounding tools for (disjunctive) logic programs
 Current answer set solvers work on variable-free programs. Hence, a
 grounder is needed that, given an input program with first-order
 variables, computes an equivalent ground (variable-free) program.
 .
 This package contains the following tools:
 .
  - gringo: a grounder that, given an input program with first-order
    variables, computes an equivalent ground (variable-free) program in
    aspif format. Its output can be processed further with answer set
    solver clasp. Starting with gringo series 5, its output is no longer
    directly compatible with solvers like smodels or cmodels reading
    smodels format. Use lpconvert for translating aspif format to
    smodels format.
  - clingo: combines both gringo and clasp into a monolithic system.
    This way it offers more control over the grounding and solving
    process than gringo and clasp can offer individually: multi-shot
    solving.
  - lpconvert: converter between gringo's aspif and smodels format.
  - reify: small utility that reifies logic programs given in aspif
    format. It produces a set of facts, which can be processed further
    with gringo.
