=== debian/changelog ===
gringo (5.4.0-2ubuntu1) groovy; urgency=medium

  * Mark two more symbols as optional when building with -march=z13 on s390x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Jun 2020 13:36:08 +0200

gringo (5.4.0-2) unstable; urgency=medium

  * Upload to unstable
  * debian/symbols: fix symbols for missing architectures

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Fri, 03 Apr 2020 06:56:49 -0400

gringo (5.4.0-1) experimental; urgency=medium

  * New upstream version 5.4.0
  * install libclingo.so.3.0 instead of libclingo.so.2.0
  * generate symbols for libclingo.so.3
  * refresh gringo-python3-utf8.patch, python3.8-compat.patch, and
    link-libatomic-check.patch
  * drop gringo-python37-async.patch, already applied upstream
  * add highlight.js 9.12.0 to missing-sources

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 30 Mar 2020 06:25:20 -0400

gringo (5.3.0-13) unstable; urgency=medium

  * Upload to unstable
  * debian/symbols: fix symbols for g++-9 >= 9.2.0 on armel and powerpc

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 11 Mar 2020 20:57:01 -0400

gringo (5.3.0-12) experimental; urgency=medium

  * debian/symbols: fix symbols for g++-9 >= 9.2.0
  * debian/{rules,install}: drop libatomic hacks, stop confusing build
    target with build directory
  * debian/patches: refresh python3.8-compat and gringo-python37-async
  * link-libatomic-check.patch: add libatomic checks to CMakeLists.txt

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Wed, 11 Mar 2020 07:31:40 -0400

gringo (5.3.0-11) experimental; urgency=medium

  * add support for python3.8, thanks to Steve Langasek
  * compile with gcc-9 and g++-9
  * debian/control: bump Standards-Version to 4.5.0 (no changes required)
  * renamed debian/{NEWS,TODO}.Debian to debian/{NEWS,TODO}
    Lintian tag incorrect-packaging-filename
  * setup debhelper-compat 12.
    Lintian tag package-uses-old-debhelper-compat-version
  * debian/control: set Rules-Requires-Root to no
  * debian/symbols: fix symbols for g++-9 >= 9.2.0
  * Bug fix: "gringo needs a new upstream, and fixes for python3.8",
    thanks to Matthias Klose (Closes: #951842).
  * Bug fix: "gringo ftbfs with Python 3.8", thanks to Matthias Klose
    (Closes: #951707).
  * Bug fix: "non-standard gcc/g++ used for build (gcc-8)", thanks to
    Matthias Klose (Closes: #944178).

 -- Thomas Krennwallner <tkren@kr.tuwien.ac.at>  Mon, 09 Mar 2020 13:31:25 +0100
