=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Krennwallner <tkren@kr.tuwien.ac.at>
 Build-Depends: debhelper (>= 11),
+ debhelper-compat (= 12),
  dpkg-dev (>= 1.16.1~),
  pkg-kde-tools,
- g++-8 (>= 8.2.0-21),
+ g++-9 (>= 9.2.1),
  cmake (>= 3.1.0),
  re2c,
  bison,
  liblua5.3-dev,
- python3.7,
- libpython3.7-dev,
- python3.7-distutils
-Standards-Version: 4.3.0
+ python3 (>= 3.8.2),
+ libpython3-dev (>= 3.8.2),
+ python3-distutils (>= 3.8.2)
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/science-team/gringo.git
 Vcs-Browser: https://salsa.debian.org/science-team/gringo
 Homepage: https://www.potassco.org/clingo/
